Subject: [RFC 1/4] ARM: tegra: Move SoC drivers to drivers/soc/tegra

From: [email-masked] (Stephen Warren)
Date: Tue, 01 Jul 2014 09:05:47 -0600

On 07/01/2014 04:50 AM, Catalin Marinas wrote:
> On Mon, Jun 30, 2014 at 08:36:36PM +0100, Thierry Reding wrote:
>> On Mon, Jun 30, 2014 at 02:16:34PM +0100, Lorenzo Pieralisi wrote:
>>> And I think that most of the early bring up issues are just related to
>>> powering-up/resetting a cpu for it to be booted, probably that's the
>>> abstraction we should be focusing on, because it should just require poking
>>> a bunch of registers to kickstart a CPU, no more than that, FW should be
>>> able to deal with that and that's yet another reason behind PSCI design.
>>
>> Right, I agree that if we can push that into PSCI that would be great
>> (provided there's an open-source implementation of PSCI).
> 
> At least one (BSD-style license):
> 
> https://github.com/ARM-software/arm-trusted-firmware
> 
> There are also some patches for U-Boot (only covering secondary CPU
> booting for now and not merged yet).

Are the U-Boot patches:

a) Patches to make U-Boot provide a PSCI implementation.

b) Patches to make U-Boot use PSCI as a client.

If you have a link or patch subject to search for, that'd be
interesting. Thanks.